TSHTTPTXNREDOCACHELOOKUP(3ts)

NAME
TSHttpTxnRedoCacheLookup - TSHttpTxnRedoCacheLookup API function

SYNOPSIS

            #include <ts/experimental.h>

    TSReturnCode TSHttpTxnRedoCacheLookup(TSHttpTxn txnp, const char *url, int length)

DESCRIPTION

Perform a cache lookup with a different url. This function rewinds the state machine to perform the new cache lookup. The cache_info for the new url must have been initialized before calling this function.

If the length argument is -1, this function will take the length from the url argument.

NOTES

This API may be changed in the future version since it is experimental.

SEE ALSO

TSAPI(3ts),

COPYRIGHT
2026, dev@trafficserver.apache.org